Developer API - DataGalaxy (2.38.7)

Overview

The DataGalaxy API gives you access to CRUD actions on your metamodel, users and licenses.

Our API is organized around REST. It accepts and returns JSON-encoded data, and uses standard HTTP response codes, verbs and authentication with access tokens.

To get the full picture of DataGalaxy, please feel free to consult our online documentation.
Have a look at our step-by-step guide for a quick start on how to use our API.

Response Status Codes

Status CodeDescriptionNotes
200OKThe request was successful
400Bad RequestIncoming request contains parameters that might not be valid
401UnauthorizedThe supplied credentials, if any, are not sufficient to access the resource
404Not FoundThe requested resource is not found
429Too Many RequestsToo many requests have been (Rate limiting)
500Server ErrorThe server could not return the representation due to an internal server error
501Not ImplementedThe requested operation is not supported (e.g. supports GET but not POST etc.)

Rate Limits

The DataGalaxy API has 2 kinds of limitations: rate limiting and throttling.

Pro tip: You can track your rate limiting status with the response header X-RateLimit-Remaining. It will display how many requests you can send until the next reset.

MethodRateNote
Rate limiting28800 requests / hourWhen exceeded, your IP will be blocked for 15 minutes.
Throttling8 requests / secondWhen exceeded, each request will be delayed by 500ms.
Payload size100 MBWhen exceeded, request will be rejected.

Query parameters

Boolean query parameters only accept the values true and false.

Pagination

All routes returning lists share the same pagination format. These routes take two optional parameters as query strings: limit and page.

QueryStringDefinition
limitInteger ranging from 1 to 5000. It sets the maximum amount of objects per page. Default value is 20.
pageInteger starting at 1. It determines the page returned by the request. Default value is 1.

The response payload contains 5 properties:

PropertyDefinition
pagesTotal number of pages.
totalNumber of objects returned.
total_sumSum of all existing objects.
next_pageURL of the next page. Value will be null if there is none.
resultsList of objects.

Authentication

The DataGalaxy API uses Bearer authentication to authenticate requests. Every request must contain an Authorization header with either a PAT (Personal Access Token) or an integration token.

💡 Tip A Personal Access Token (PAT) can be generated from the "Security" tab on your user profile. Similarly, an integration token can be generated from the "Integration" page on the DataGalaxy Administration space.

Here is a quick example on how to use a Bearer authentication using CURL:

curl -X GET "https://api.datagalaxy.com/v2/workspaces" -H "Authorization: Bearer token"

The first steps of our quick start guide will give you instructions to obtain an integration token.

ℹ️ Note The DataGalaxy API will transparently generate an access token from your Personal Access Token (PAT) or your integration token. If you have obtained an access token by manually calling the deprecated /credentials endpoint, you can also use it as a bearer token. However, it is recommended to no longer generate an access token manually but to use your Personal Access Token or integration token directly.

Personal Access Token claims reference

NameDescription
pubapiURL of the DataGalaxy API.
For instance: https://demo.api.datagalaxy.com/v2.
🗑 Deprecated: will be removed in the future.
cidClient UUID
uidUser UUID
given_nameUser given name
family_nameUser family name
emailUser email.
subSubject associated with the token (user email)
x??
iatTimestamp that indicates the time at which the token was issued
expTimestamp that indicates the time at which the token will be expired

Integration token claims reference

NameDescription
apiURL of the internal API without the /api path prefix.
For instance: https://demo.datagalaxy.com/.
🗑 Deprecated will be removed in the future.
cidClient UUID
uidUser UUID
data??
x??
iatTimestamp that indicates the time at which the token was issued
expTimestamp that indicates the time at which the token will be expired

Access token claims reference

ℹ️ Note You should not manipulate access tokens directly but use personal access tokens or integration tokens instead.
NameDescription
apiURL of the internal API without the /api path prefix.
For instance: https://demo.datagalaxy.com/.
🗑 Deprecated will be removed in the future.
pubapiURL of the DataGalaxy API.
For instance: https://demo.api.datagalaxy.com/v2.
🗑 Deprecated will be removed in the future.
sidSession UUID
cidClient UUID
cnameClient name
uidUser UUID
emailUser email
iatTimestamp that indicates the time at which the token was issued
expTimestamp that indicates the time at which the token will be expired

Changelog

The DataGalaxy Developer API is updated frequently with new features, improvements and fixes.

All these changes will be documented in our .

Documentation layout

We provide two API documentation layouts:

  • Default layout
    This layout displays information in a modern way and contains more information about requests parameters
  • Swagger layout
    This is our legacy layout. It's main perk is the "Try it" feature which lets you send requests directly from the documentation.
Overview
License
DataGalaxy©
Servers
/